<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.environmentHJ212.mapper.HourDataInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.environmentHJ212.domain.HourDataInfo">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="dataTime" column="data_time" jdbcType="TIMESTAMP"/>
            <result property="code" column="code" jdbcType="VARCHAR"/>
            <result property="mn" column="mn" jdbcType="VARCHAR"/>
            <result property="flag" column="flag" jdbcType="VARCHAR"/>
            <result property="dataAvgValue" column="data_avg_value" jdbcType="DECIMAL"/>
            <result property="dataMinValue" column="data_min_value" jdbcType="DECIMAL"/>
            <result property="dataMaxValue" column="data_max_value" jdbcType="DECIMAL"/>
            <result property="dataCouValue" column="data_cou_value" jdbcType="DECIMAL"/>
            <result property="dataFlag" column="data_flag" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="remark" column="remark" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,data_time,code,
        mn,flag,data_avg_value,
        data_min_value,data_max_value,data_cou_value,
        data_flag,create_time,remark
    </sql>
</mapper>
